package com.ruoyi.project.sems.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.sems.domain.TReportThird;
import com.ruoyi.project.sems.mapper.TReportThirdMapper;
import com.ruoyi.project.sems.service.ITReportThirdService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 压力容器第三方数据文件Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-16
 */
@Service
public class TReportThirdServiceImpl implements ITReportThirdService {

    @Resource
    private TReportThirdMapper tReportThirdMapper;

    /**
     * 查询压力容器第三方数据文件
     *
     * @param id 压力容器第三方数据文件ID
     * @return 压力容器第三方数据文件
     */
    @Override
    public TReportThird selectTReportThirdById(Long id) {
        return tReportThirdMapper.selectTReportThirdById(id);
    }

    /**
     * 查询压力容器第三方数据文件列表
     *
     * @param tReportThird 压力容器第三方数据文件
     * @return 压力容器第三方数据文件
     */
    @Override
    public List<TReportThird> selectTReportThirdList(TReportThird tReportThird) {
        return tReportThirdMapper.selectTReportThirdList(tReportThird);
    }

    /**
     * 新增压力容器第三方数据文件
     *
     * @param tReportThird 压力容器第三方数据文件
     * @return 结果
     */
    @Override
    public int insertTReportThird(TReportThird tReportThird) {
        tReportThird.setCreateTime(DateUtils.getNowDate());
        return tReportThirdMapper.insertTReportThird(tReportThird);
    }

    /**
     * 修改压力容器第三方数据文件
     *
     * @param tReportThird 压力容器第三方数据文件
     * @return 结果
     */
    @Override
    public int updateTReportThird(TReportThird tReportThird) {
        tReportThird.setUpdateTime(DateUtils.getNowDate());
        return tReportThirdMapper.updateTReportThird(tReportThird);
    }

    /**
     * 批量删除压力容器第三方数据文件
     *
     * @param ids 需要删除的压力容器第三方数据文件ID
     * @return 结果
     */
    @Override
    public int deleteTReportThirdByIds(Long[] ids) {
        return tReportThirdMapper.deleteTReportThirdByIds(ids);
    }

    /**
     * 删除压力容器第三方数据文件信息
     *
     * @param id 压力容器第三方数据文件ID
     * @return 结果
     */
    @Override
    public int deleteTReportThirdById(Long id) {
        return tReportThirdMapper.deleteTReportThirdById(id);
    }
}
